%define enable_tests	1

Name:		feh
Version:	2.5
Release:	%mkrel 3
Summary:	Image viewer at heart, though it does other cool stuff
License:	MIT
Group:		Graphics/Viewers
URL:		https://derf.homelinux.org/projects/feh/
Source0:	https://derf.homelinux.org/projects/feh/%{name}-%{version}.tar.bz2
Source1:	feh-icons.tar.bz2
Source2:	https://derf.homelinux.org/projects/feh/%{name}-%{version}.tar.bz2.asc
BuildRequires:	imlib2-devel
BuildRequires:	libxt-devel
BuildRequires:	libxinerama-devel
BuildRequires:	giblib-devel
BuildRequires:	jpeg-devel 
BuildRequires:	png-devel
BuildRequires:	curl-devel

%if %{enable_tests}
BuildRequires:	perl-devel
BuildRequires:	perl-Test-Command
%endif

%description
Feh is an image viewer, but it does a whole lot of other cool stuff as
well. There are simply too many to mention them here so please check the
docs/homepage.

%prep
%setup -q
%setup -q -T -D -a1

#fix doc rights
chmod 644 AUTHORS ChangeLog README TODO examples/*
chmod 755 examples

%build
%setup_compile_flags
%make PREFIX=%{_prefix}

%install
%makeinstall_std PREFIX=%{_prefix}

# desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{name} -c
Icon=%{name}
Terminal=false
Type=Application
Categories=Graphics;Viewer;
EOF

# icons
install -D -m 644 %{name}-48.png %{buildroot}/%{_liconsdir}/%{name}.png
install -D -m 644 %{name}-32.png %{buildroot}/%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-16.png %{buildroot}/%{_miconsdir}/%{name}.png

# let files section handle docs
rm -rf %{buildroot}%{_docdir}/%{name}

%if %{enable_tests}
%check
%make test
%endif

%files
%doc AUTHORS ChangeLog README TODO examples
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.5-3.mga3
+ Revision: 350090
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 barjac <barjac> 2.5-2.mga3
+ Revision: 337674
- update group

* Mon Jun 11 2012 dams <dams> 2.5-1.mga3
+ Revision: 259794
- new version 2.5

* Sat Apr 07 2012 wally <wally> 2.2-2.mga2
+ Revision: 229527
- fix rights of doc files (mga#3330)

* Wed Jan 11 2012 kamil <kamil> 2.2-1.mga2
+ Revision: 194891
- new version
- include signature of the source
- clean spec

* Tue Sep 13 2011 fwang <fwang> 1.16.1-1.mga2
+ Revision: 142919
- new version 1.16.1

* Sun Jul 10 2011 wally <wally> 1.14.2-1.mga2
+ Revision: 121742
- new version 1.14.2

* Sun Mar 20 2011 wally <wally> 1.12-2.mga1
+ Revision: 74908
- fix doc files handling
- more .spec cleaning

* Sun Mar 20 2011 wally <wally> 1.12-1.mga1
+ Revision: 74864
- new version 1.12
- fix license
- drop old mdv scriptlets
- add curl-devel BR
- enable tests
- clean .spec a bit
- imported package feh

